    body {
        counter-reset: h2counter;
    }
    h1 {
        counter-reset: h2counter;
    }
    h2 {
        text-transform: uppercase;
    }
    h2:before {
        content: counter(h2counter, upper-roman) ".\0000a0\0000a0";
        counter-increment: h2counter;
        counter-reset: h3counter;
    }
    h3:before {
        content: counter(h2counter, upper-roman) "." counter(h3counter) ".\0000a0\0000a0";
        counter-increment: h3counter;
    }

